Subject: bug#52266: closed (Re: bug#52266: [Installer] ESP/EFI Partition not being reformatted (if exists) during graphical install by default.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Dec 2021 08:26:02 +0000

Your bug report

#52266: [Installer] ESP/EFI Partition not being reformatted (if exists) during graphical install by default.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52266: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52266
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52266: [Installer] ESP/EFI Partition not being reformatted (if exists) during graphical install by default.
From: Mathieu Othacehe <[email-masked]>
To: "opalvaults (ry)" <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Dec 2021 09:25:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

> Probably best to close this as I won't be able to get back around to
> testing. I'm running into sof-firmware issues so I gotta tackle that. 
> Thank you for your time!

Closing, then. Thanks!

Mathieu

Subject: [Installer] ESP/EFI Partition not being reformatted (if exists) during graphical install by default.
From: "Ry P." <[email-masked]>
To: [email-masked]
Date: Fri, 03 Dec 2021 15:13:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Brief Summary:
It appears as though the Guix installer does not reformat the EFI/ESP partition if it already exists.

Step to reproduce this bug:
With a computer which already has an ESP partition, go through the graphical installation and do not reformat/delete/modify the existing EFI/ESP partition. When you confirm the partitioning changes, you may notice that the EFI partition remains unmodified.

Effects:
It creates a GRUB2 error which states that it can not find the filesystem properly. In my case, it’s because Grub expected a previous OS’s filesystem information (Fedora), but as the EFI partition was not modified in the install, the .cfg did not reflect the new GUIX filesystem UUID.

What do you think should happen:
When installing using the guided installer, have the GUIX installer automatically modify/reformat the ESP/EFI partition. This ensures that that GRUB2 can find the new GUIX UUID upon reboot.

Hardware:
Lenovo X1 Carbon

Kernel:
Linux-Libre Kernel

ISO:
Latest Snapshot Iso

Thank you for your time, please let me know if additional information is needed.